#!/usr/bin/python
import sys
import hashlib
import time
import thrift.protocol.TBinaryProtocol as TBinaryProtocol
import thrift.transport.THttpClient as THttpClient
import edam.userstore.UserStore as UserStore

#
# Configure these based on the API key you received from Evernote
#
username = sys.argv[1]
password = sys.argv[2]

consumerKey = sys.argv[3]
consumerSecret = sys.argv[4]

userStoreUri = "https://www.evernote.com/edam/user"
noteStoreUriBase = "http://www.evernote.com/edam/note/"

userStoreHttpClient = THttpClient.THttpClient(userStoreUri)
userStoreProtocol = TBinaryProtocol.TBinaryProtocol(userStoreHttpClient)
userStore = UserStore.Client(userStoreProtocol)

authResult = userStore.authenticate(username, password,
                                    consumerKey, consumerSecret)
user = authResult.user
authToken = authResult.authenticationToken

print authToken
